<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.pwbuyer.main"
    android:versionCode="9"
    android:versionName="2.0" >

    <uses-sdk android:minSdkVersion="7" />

    <application
        android:icon="@drawable/icon"
        android:label="@string/app_name" >
        
        <receiver
            android:name="com.cwbuyer.main.Widget"
            android:icon="@drawable/icon"
            android:label="CWBuyer銷售王 2.0" >
            <intent-filter>
                <action android:name="android.appwidget.action.APPWIDGET_UPDATE" />
            </intent-filter>

            <meta-data
                android:name="android.appwidget.provider"
                android:resource="@xml/widgetset" />
        </receiver>

        <activity
            android:name="com.cwbuyer.main.AShowSearch"
            android:configChanges="orientation|keyboardHidden"
            android:label="@string/app_name_version"
            android:screenOrientation="portrait"
            android:theme="@android:style/Theme.Dialog" >
        </activity>
        <activity
            android:name="com.cwbuyer.main.MainMenu"
            android:configChanges="orientation|keyboardHidden"
            android:label="@string/app_name"
            android:screenOrientation="portrait" >
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        
        <service android:name="net.posprinter.service.PosprinterService" />
        
        <activity
            android:name="com.cwbuyer.main.APassword"
            android:configChanges="orientation|keyboardHidden"
            android:label="@string/app_name_version"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.cwbuyer.main.AItem"
            android:configChanges="orientation|keyboardHidden"
            android:label="@string/app_name_version"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.cwbuyer.main.ManageAccount"
            android:configChanges="orientation|keyboardHidden"
            android:label="@string/app_name_version"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.cwbuyer.main.ACode"
            android:configChanges="orientation|keyboardHidden"
            android:label="@string/app_name_version"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.cwbuyer.main.AParam"
            android:configChanges="orientation|keyboardHidden"
            android:label="@string/app_name_version"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.cwbuyer.main.DataManage"
            android:configChanges="orientation|keyboardHidden"
            android:label="@string/app_name_version"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.cwbuyer.main.AIncome"
            android:configChanges="orientation|keyboardHidden"
            android:label="@string/app_name_version"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.cwbuyer.main.AIncomePc"
            android:configChanges="orientation|keyboardHidden"
            android:label="@string/app_name_version"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.cwbuyer.main.ManageItem"
            android:configChanges="orientation|keyboardHidden"
            android:label="@string/app_name_version"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.cwbuyer.main.AElements"
            android:configChanges="orientation|keyboardHidden"
            android:label="@string/app_name_version"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.cwbuyer.main.AccountList"
            android:configChanges="orientation|keyboardHidden"
            android:label="@string/app_name_version"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.cwbuyer.main.AddCompany"
            android:configChanges="orientation|keyboardHidden"
            android:label="@string/app_name_version"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.cwbuyer.main.Setup"
            android:configChanges="orientation|keyboardHidden"
            android:label="@string/app_name_version"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.cwbuyer.code.CodeList"
            android:configChanges="orientation|keyboardHidden"
            android:label="@string/app_name_version"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.cwbuyer.code.AddCountry"
            android:configChanges="orientation|keyboardHidden"
            android:label="@string/app_name_version"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.cwbuyer.code.AddCategory"
            android:configChanges="orientation|keyboardHidden"
            android:label="@string/app_name_version"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.cwbuyer.code.AddColor"
            android:configChanges="orientation|keyboardHidden"
            android:label="@string/app_name_version"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.cwbuyer.code.AddSize"
            android:configChanges="orientation|keyboardHidden"
            android:label="@string/app_name_version"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.cwbuyer.code.AddPricing"
            android:configChanges="orientation|keyboardHidden"
            android:label="@string/app_name_version"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.cwbuyer.code.AddWash"
            android:configChanges="orientation|keyboardHidden"
            android:label="@string/app_name_version"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.cwbuyer.code.AddElements"
            android:configChanges="orientation|keyboardHidden"
            android:label="@string/app_name_version"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.cwbuyer.code.AddMacc"
            android:configChanges="orientation|keyboardHidden"
            android:label="@string/app_name_version"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.cwbuyer.code.AddPpri"
            android:configChanges="orientation|keyboardHidden"
            android:label="@string/app_name_version"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.cwbuyer.main.QCust"
            android:configChanges="orientation|keyboardHidden"
            android:label="@string/app_name_version"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.cwbuyer.lib.Mkqr"
            android:configChanges="orientation|keyboardHidden"
            android:label="@string/app_name"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.cwbuyer.lib.MkqrSt"
            android:configChanges="orientation|keyboardHidden"
            android:label="@string/app_name"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.cwbuyer.lib.MkqrList"
            android:configChanges="orientation|keyboardHidden"
            android:label="@string/app_name"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.cwbuyer.lib.GalleryViewC"
            android:configChanges="orientation|keyboardHidden"
            android:label="@string/app_name"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.cwbuyer.lib.GalleryViewV"
            android:configChanges="orientation|keyboardHidden"
            android:label="@string/app_name"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.cwbuyer.lib.GalleryViewWeb"
            android:configChanges="orientation|keyboardHidden"
            android:label="@string/app_name"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.cwbuyer.lib.GalleryViewPic"
            android:configChanges="orientation|keyboardHidden"
            android:label="@string/app_name"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.cwbuyer.main.QCustff"
            android:configChanges="orientation|keyboardHidden"
            android:label="@string/app_name"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.cwbuyer.lib.GalleryView"
            android:configChanges="orientation|keyboardHidden"
            android:label="@string/app_name"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.cwbuyer.lib.GalleryViewS"
            android:configChanges="orientation|keyboardHidden"
            android:label="@string/app_name"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.cwbuyer.lib.CustActivity"
            android:configChanges="orientation|keyboardHidden"
            android:label="@string/app_name"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.cwbuyer.lib.Qsms_one"
            android:configChanges="orientation|keyboardHidden"
            android:label="@string/app_name"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.cwbuyer.main.ManagePos"
            android:configChanges="orientation|keyboardHidden"
            android:label="@string/app_name"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.cwbuyer.main.APos"
            android:label="@string/app_name"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.cwbuyer.main.QPosff"
            android:configChanges="orientation|keyboardHidden"
            android:label="@string/app_name"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.cwbuyer.lib.QPosSave"
            android:configChanges="orientation|keyboardHidden"
            android:label="@string/app_name"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.cwbuyer.lib.GalleryViewP"
            android:configChanges="orientation|keyboardHidden"
            android:label="@string/app_name"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.cwbuyer.main.StockManage"
            android:configChanges="orientation|keyboardHidden"
            android:label="@string/app_name"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.cwbuyer.main.TransManage"
            android:configChanges="orientation|keyboardHidden"
            android:label="@string/app_name"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.cwbuyer.main.AnslyManage"
            android:configChanges="orientation|keyboardHidden"
            android:label="@string/app_name"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.cwbuyer.lib.GalleryViewO"
            android:configChanges="orientation|keyboardHidden"
            android:label="@string/app_name"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.cwbuyer.lib.GalleryViewVP"
            android:configChanges="orientation|keyboardHidden"
            android:label="@string/app_name"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.cwbuyer.lib.QHis"
            android:configChanges="orientation|keyboardHidden"
            android:label="@string/app_name"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.cwbuyer.lib.QMacc"
            android:configChanges="orientation|keyboardHidden"
            android:label="@string/app_name"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.cwbuyer.lib.AMacc"
            android:configChanges="orientation|keyboardHidden"
            android:label="@string/app_name"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.cwbuyer.lib.QRep_01"
            android:configChanges="orientation|keyboardHidden"
            android:label="@string/app_name"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.cwbuyer.lib.QRep_02"
            android:configChanges="orientation|keyboardHidden"
            android:label="@string/app_name"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.cwbuyer.lib.QRep_05"
            android:configChanges="orientation|keyboardHidden"
            android:label="@string/app_name"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.cwbuyer.lib.QRep_06"
            android:configChanges="orientation|keyboardHidden"
            android:label="@string/app_name"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.cwbuyer.lib.QRep_07"
            android:configChanges="orientation|keyboardHidden"
            android:label="@string/app_name"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.cwbuyer.lib.QRep_08"
            android:configChanges="orientation|keyboardHidden"
            android:label="@string/app_name"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.cwbuyer.lib.QRep_12"
            android:configChanges="orientation|keyboardHidden"
            android:label="@string/app_name"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.cwbuyer.lib.QRep_14"
            android:configChanges="orientation|keyboardHidden"
            android:label="@string/app_name"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.cwbuyer.lib.QRep_03"
            android:configChanges="orientation|keyboardHidden"
            android:label="@string/app_name"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.cwbuyer.lib.MakeTransDetail"
            android:label="@string/app_name"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.cwbuyer.lib.DataImports"
            android:label="@string/app_name"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.cwbuyer.lib.SysSetup"
            android:label="@string/app_name"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.cwbuyer.lib.QpandnF"
            android:label="@string/app_name"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.cwbuyer.lib.Show_imagebig"
            android:configChanges="orientation|keyboardHidden"
            android:label="@string/app_name"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="google.com.android.cloudprint.PrintDialogActivity"
            android:label="@string/app_name"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.cwbuyer.main.MainTainManage"
            android:label="@string/app_name"
            android:screenOrientation="portrait" >
        </activity>
        <activity
            android:name="com.cwbuyer.main.Qfactff"
            android:configChanges="orientation|keyboardHidden"
            android:label="@string/app_name"
            android:screenOrientation="portrait" >
        </activity>
        </application>

    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
	<uses-permission android:name="android.permission.REQUEST_INSTALL_PACKAGES" />
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />
	<uses-permission android:name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS" />    
    <uses-permission android:name="android.permission.VIBRATE" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <uses-permission android:name="android.permission.CALL_PHONE" />
    <uses-permission android:name="android.permission.READ_PHONE_STATE" />
    <uses-permission android:name="android.permission.SEND_SMS" />
    <uses-permission android:name="android.permission.READ_CONTACTS" />
</manifest>